# Interface methods for submodule: ImageToVideoFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import VideoSourceProxy as _VideoSourceProxy


# Interface methods for class: ImageToVideoFilter
class ImageToVideoFilterProxy(_VideoSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput(self, image) -> None:
		""""""
		...

	@overload
	def SetInput(self, idx: int, videoStream) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	def GetFrameAxis(self) -> int:
		""""""
		...

	def SetFrameAxis(self, _arg: int) -> None:
		""""""
		...

